org.apache.xmlgraphics.io

## Interface ResourceResolver

- All Known Implementing Classes:
    URIResolverAdapter

      public interface ResourceResolver

  Implementations of this resource resolver allow XGC users to control the URI resolution mechanism. All resource and output stream acquisition goes through this when its implementation is given to the org.apache.fop.apps.EnvironmentProfile.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.OutputStream` | `getOutputStream(java.net.URI uri)` Gets an output stream of a given URI.
    `Resource` | `getResource(java.net.URI uri)` Get a resource given the URI pointing to said resource.

- - ### Method Detail

    - #### getResource

          Resource getResource(java.net.URI uri)
                        throws java.io.IOException

      Get a resource given the URI pointing to said resource.
      Parameters:
        `uri` - the resource URI
      Returns:
        the resource
      Throws:
        `java.io.IOException` - if an I/O error occured during resource acquisition

    - #### getOutputStream

          java.io.OutputStream getOutputStream(java.net.URI uri)
                                        throws java.io.IOException

      Gets an output stream of a given URI.
      Parameters:
        `uri` - the output stream URI
      Returns:
        the output stream
      Throws:
        `java.io.IOException` - if an I/O error occured while creating an output stream

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.